# $Revision: 1.44 $, $Date: 2010/07/09 11:19:22 $
%define		major	0.5
Summary:	The MusicBrainz tagging library
Summary(pl.UTF-8):	Biblioteka znakowania MusicBrainz
Name:		libtunepimp
Version:	%{major}.3
Release:	13
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.musicbrainz.org/pub/musicbrainz/%{name}-%{version}.tar.gz
# Source0-md5:	09649f983acef679a548344ba7a9bb2f
Patch0:		%{name}-ltdl.patch
Patch1:		%{name}-mpeg4ip.patch
Patch2:		%{name}-gcc43.patch
Patch3:		gcc44.patch
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	flac-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmusicbrainz-devel >= 2.1.0
BuildRequires:	libofa-devel >= 0.4.0
BuildRequires:	libstdc++-devel >= 2:1.4d
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	mpeg4ip-devel >= 1.6
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	taglib-devel >= 1.4
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MusicBrainz tagging library.

%description -l pl.UTF-8
Biblioteka znakowania MusicBrainz.

%package devel
Summary:	Header files for libtunepimp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libtunepimp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	expat-devel
Requires:	libltdl-devel
Requires:	libmusicbrainz-devel >= 2.1.0
Requires:	libofa-devel >= 0.4.0
Requires:	libstdc++-devel >= 2:1.4d

%description devel
Header files for libtunepimp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libtunepimp.

%package static
Summary:	Static libtunepimp library
Summary(pl.UTF-8):	Statyczna biblioteka libtunepimp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtunepimp library.

%description static -l pl.UTF-8
Statyczna biblioteka libtunepimp.

%package -n python-tunepimp
Summary:	Python bindings for libtunepimp library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libtunepimp
Group:		Libraries/Python
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}

%description -n python-tunepimp
Python bindings for libtunepimp library.

%description -n python-tunepimp -l pl.UTF-8
Wiązania Pythona do biblioteki libtunepimp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__sed} -i 's/ -O2//' configure.in
%{__sed} -i 's/lt_dlhandle_struct \*/lt_dlhandle/' lib/plugins.cpp

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-ltdl-install=no

%{__make}

# perl bindings are not updated to current API
#cd perl/tunepimp-perl
#%{__perl} Makefile.PL \
#	OPTIMIZE="%{rpmcflags}"
#%{__make}
# cd ../..

cd python
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not installed, but used by installed headers (track.h, tunepimp.h)
install lib/threads/posix/mutex.h \
	lib/{analyzer,filecache,plugins,readmeta,write}.h \
	include/tunepimp-*/metadata.h \
	$RPM_BUILD_ROOT%{_includedir}/tunepimp-%{major}

#cd perl/tunepimp-perl
#%{__make} install \
#	DESTDIR=$RPM_BUILD_ROOT
#install -D examples/tp_tagger.pl $RPM_BUILD_ROOT%{_bindir}/tp_tagger
# cd ../..

cd python
python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%py_postclean
install -D examples/trm.py $RPM_BUILD_ROOT%{_bindir}/trm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.LGPL TODO
%attr(755,root,root) %{_bindir}/puid
%attr(755,root,root) %{_libdir}/libtunepimp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtunepimp.so.5
%dir %{_libdir}/tunepimp
%dir %{_libdir}/tunepimp/plugins
%attr(755,root,root) %{_libdir}/tunepimp/plugins/*.tpp

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtunepimp.so
%{_libdir}/libtunepimp.la
%{_includedir}/tunepimp-%{major}

%files static
%defattr(644,root,root,755)
%{_libdir}/libtunepimp.a

%files -n python-tunepimp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/trm
%dir %{py_sitescriptdir}/tunepimp
%{py_sitescriptdir}/tunepimp/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtunepimp.spec,v $
Revision 1.44  2010/07/09 11:19:22  arekm
- release 13

Revision 1.43  2009/08/25 15:09:44  glen
- add gcc44.patch

Revision 1.42  2009/08/25 15:08:03  glen
- release 12 (-lgssapi_krb5 unpoison rebuild)

Revision 1.41  2008/10/05 15:57:22  wiget
- release 11

Revision 1.40  2008/09/07 19:01:41  adamg
- release 10 (against libltdl-2.2.6-1)

Revision 1.39  2008/07/02 16:52:34  sls
- added gcc43.patch

Revision 1.38  2008/06/14 10:10:36  arekm
- rel 9

Revision 1.37  2008-05-23 13:43:14  pluto
- fix build with new libltdl, release 8.

Revision 1.36  2008-02-19 22:40:58  glen
- ghost soname symlink

Revision 1.35  2007-11-15 14:55:24  hawk
- fixed building with mpeg4ip >= 1.6
- BR mpeg4ip-devel >= 1.6
- release 7

Revision 1.34  2007-09-06 15:52:40  baggins
- rel 6

Revision 1.33  2007/06/14 17:57:42  arekm
- rel 5

Revision 1.32  2007/04/02 10:17:39  arekm
- rel 3

Revision 1.31  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.29  2006/12/25 13:03:53  arekm
- rel 2

Revision 1.28  2006/12/01 16:58:54  glen
- soname is .5.0.3 now

Revision 1.27  2006/11/30 21:44:42  qboosh
- updated to 0.5.3 [soname change]

Revision 1.26  2006/10/05 20:08:03  arekm
- up to 0.5.2

Revision 1.25  2006/10/03 21:50:02  pluto
- keep headers in /usr/include/tunepimp-0.5, release 6.

Revision 1.24  2006/09/27 20:15:52  wrobell
- rel. 5 to rebuild with python 2.5 (final)

Revision 1.23  2006/09/07 07:39:12  qboosh
- BR: python >= 2.5 (to avoid missing ctypes dependency)

Revision 1.22  2006/09/06 23:19:13  wrobell
- build with python 2.5 (ctypes module is provided by python-modules, now)
- rel. 4

Revision 1.21  2006/08/24 20:40:32  qboosh
- -devel R: curl-devel expat-devel

Revision 1.20  2006/08/23 18:52:31  wolf
- devel R: libofa-devel

Revision 1.19  2006/08/22 12:22:24  glen
- drop /usr/include/tunepimp symlink and surrounding hacks, rel 3

Revision 1.18  2006/08/22 11:19:09  glen
- dir to symlink change hack, rel 2

Revision 1.17  2006/08/16 21:56:13  qboosh
- updated to 0.5.1, removed obsolete fix patch

Revision 1.16  2006/08/09 10:54:37  adamg
- release 3; rebuild agains openssl-0.9.8b

Revision 1.15  2006/07/23 10:45:14  pluto
- %files updated (add symlink).

Revision 1.14  2006/07/23 07:50:10  pluto
- includes symlink (/usr/include/tunepimp-$ver -> tunepimp), release 2.

Revision 1.13  2006/07/22 08:00:15  qboosh
- updated to 0.5 (code affected by CVE-2006-3600 has been removed)
- added ltdl,fix patches, removed outdated readline patch
- package python bindings

Revision 1.12  2006/02/04 12:53:03  qboosh
- updated to 0.4.2
- libid3tag-devel no longer used (two modified versions of id3tag in sources)
- BR: taglib-devel for MPC and WMA support
- -devel no longer requires {libmad,libvorbis}-devel - plugins used

Revision 1.11  2006/01/12 20:04:11  qboosh
- updated to 0.4.1, removed obsolete gcc4 patch

Revision 1.10  2005/11/17 02:06:49  pluto
- updated to 0.4.0, flac metadata support enabled, gcc4 fix.

Revision 1.9  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.8  2005/06/11 23:07:15  zbyniu
- R: libstdc++-devel in -devel

Revision 1.7  2005/05/25 14:41:30  pluto
- release 3 for Th.

Revision 1.6  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.5  2004/06/28 23:09:12  grzegol
- added include_signal_h patch (it's needed for pthread_kill)

Revision 1.4  2004/04/20 21:47:11  qboosh
- updated to 0.3.0

Revision 1.3  2004/02/20 17:21:31  grzegol
- rel. 2 to rebuild with libmusicbrainz-2.1.0

Revision 1.2  2003/08/02 21:29:30  qboosh
- 0.2.1

Revision 1.1  2003/07/26 16:43:37  qboosh
- new; readline patch to use curses- not termcap-based readline
